first commit
[NalaBridge.git] / debug / config.status
blob2c836e0da703bef8e9df5924ac78cc9030828c52
1 #! /bin/sh
2 # Generated by configure.
3 # Run this file to recreate the current configuration.
4 # Compiler output produced by configure, useful for debugging
5 # configure, is in config.log if it exists.
7 debug=false
8 ac_cs_recheck=false
9 ac_cs_silent=false
10 SHELL=${CONFIG_SHELL-/bin/sh}
11 ## --------------------- ##
12 ## M4sh Initialization. ##
13 ## --------------------- ##
15 # Be Bourne compatible
16 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
17 emulate sh
18 NULLCMD=:
19 # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
20 # is contrary to our usage. Disable this feature.
21 alias -g '${1+"$@"}'='"$@"'
22 elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
23 set -o posix
25 DUALCASE=1; export DUALCASE # for MKS sh
27 # Support unset when possible.
28 if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
29 as_unset=unset
30 else
31 as_unset=false
35 # Work around bugs in pre-3.0 UWIN ksh.
36 $as_unset ENV MAIL MAILPATH
37 PS1='$ '
38 PS2='> '
39 PS4='+ '
41 # NLS nuisances.
42 for as_var in \
43 LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
44 LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
45 LC_TELEPHONE LC_TIME
47 if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
48 eval $as_var=C; export $as_var
49 else
50 $as_unset $as_var
52 done
54 # Required to use basename.
55 if expr a : '\(a\)' >/dev/null 2>&1; then
56 as_expr=expr
57 else
58 as_expr=false
61 if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
62 as_basename=basename
63 else
64 as_basename=false
68 # Name of the executable.
69 as_me=`$as_basename "$0" ||
70 $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
71 X"$0" : 'X\(//\)$' \| \
72 X"$0" : 'X\(/\)$' \| \
73 . : '\(.\)' 2>/dev/null ||
74 echo X/"$0" |
75 sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; }
76 /^X\/\(\/\/\)$/{ s//\1/; q; }
77 /^X\/\(\/\).*/{ s//\1/; q; }
78 s/.*/./; q'`
81 # PATH needs CR, and LINENO needs CR and PATH.
82 # Avoid depending upon Character Ranges.
83 as_cr_letters='abcdefghijklmnopqrstuvwxyz'
84 as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
85 as_cr_Letters=$as_cr_letters$as_cr_LETTERS
86 as_cr_digits='0123456789'
87 as_cr_alnum=$as_cr_Letters$as_cr_digits
89 # The user is always right.
90 if test "${PATH_SEPARATOR+set}" != set; then
91 echo "#! /bin/sh" >conf$$.sh
92 echo "exit 0" >>conf$$.sh
93 chmod +x conf$$.sh
94 if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
95 PATH_SEPARATOR=';'
96 else
97 PATH_SEPARATOR=:
99 rm -f conf$$.sh
103 as_lineno_1=$LINENO
104 as_lineno_2=$LINENO
105 as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
106 test "x$as_lineno_1" != "x$as_lineno_2" &&
107 test "x$as_lineno_3" = "x$as_lineno_2" || {
108 # Find who we are. Look in the path if we contain no path at all
109 # relative or not.
110 case $0 in
111 *[\\/]* ) as_myself=$0 ;;
112 *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
113 for as_dir in $PATH
115 IFS=$as_save_IFS
116 test -z "$as_dir" && as_dir=.
117 test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
118 done
121 esac
122 # We did not find ourselves, most probably we were run as `sh COMMAND'
123 # in which case we are not to be found in the path.
124 if test "x$as_myself" = x; then
125 as_myself=$0
127 if test ! -f "$as_myself"; then
128 { { echo "$as_me:$LINENO: error: cannot find myself; rerun with an absolute path" >&5
129 echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2;}
130 { (exit 1); exit 1; }; }
132 case $CONFIG_SHELL in
134 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
135 for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
137 IFS=$as_save_IFS
138 test -z "$as_dir" && as_dir=.
139 for as_base in sh bash ksh sh5; do
140 case $as_dir in
142 if ("$as_dir/$as_base" -c '
143 as_lineno_1=$LINENO
144 as_lineno_2=$LINENO
145 as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
146 test "x$as_lineno_1" != "x$as_lineno_2" &&
147 test "x$as_lineno_3" = "x$as_lineno_2" ') 2>/dev/null; then
148 $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; }
149 $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
150 CONFIG_SHELL=$as_dir/$as_base
151 export CONFIG_SHELL
152 exec "$CONFIG_SHELL" "$0" ${1+"$@"}
153 fi;;
154 esac
155 done
156 done
158 esac
160 # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
161 # uniformly replaced by the line number. The first 'sed' inserts a
162 # line-number line before each line; the second 'sed' does the real
163 # work. The second script uses 'N' to pair each line-number line
164 # with the numbered line, and appends trailing '-' during
165 # substitution so that $LINENO is not a special case at line end.
166 # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
167 # second 'sed' script. Blame Lee E. McMahon for sed's syntax. :-)
168 sed '=' <$as_myself |
169 sed '
171 s,$,-,
172 : loop
173 s,^\(['$as_cr_digits']*\)\(.*\)[$]LINENO\([^'$as_cr_alnum'_]\),\1\2\1\3,
174 t loop
175 s,-$,,
176 s,^['$as_cr_digits']*\n,,
177 ' >$as_me.lineno &&
178 chmod +x $as_me.lineno ||
179 { { echo "$as_me:$LINENO: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&5
180 echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2;}
181 { (exit 1); exit 1; }; }
183 # Don't try to exec as it changes $[0], causing all sort of problems
184 # (the dirname of $[0] is not the place where we might find the
185 # original and so on. Autoconf is especially sensible to this).
186 . ./$as_me.lineno
187 # Exit status is that of the last command.
188 exit
192 case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
193 *c*,-n*) ECHO_N= ECHO_C='
194 ' ECHO_T=' ' ;;
195 *c*,* ) ECHO_N=-n ECHO_C= ECHO_T= ;;
196 *) ECHO_N= ECHO_C='\c' ECHO_T= ;;
197 esac
199 if expr a : '\(a\)' >/dev/null 2>&1; then
200 as_expr=expr
201 else
202 as_expr=false
205 rm -f conf$$ conf$$.exe conf$$.file
206 echo >conf$$.file
207 if ln -s conf$$.file conf$$ 2>/dev/null; then
208 # We could just check for DJGPP; but this test a) works b) is more generic
209 # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
210 if test -f conf$$.exe; then
211 # Don't use ln at all; we don't have any links
212 as_ln_s='cp -p'
213 else
214 as_ln_s='ln -s'
216 elif ln conf$$.file conf$$ 2>/dev/null; then
217 as_ln_s=ln
218 else
219 as_ln_s='cp -p'
221 rm -f conf$$ conf$$.exe conf$$.file
223 if mkdir -p . 2>/dev/null; then
224 as_mkdir_p=:
225 else
226 test -d ./-p && rmdir ./-p
227 as_mkdir_p=false
230 as_executable_p="test -f"
232 # Sed expression to map a string onto a valid CPP name.
233 as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
235 # Sed expression to map a string onto a valid variable name.
236 as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
239 # IFS
240 # We need space, tab and new line, in precisely that order.
241 as_nl='
243 IFS=" $as_nl"
245 # CDPATH.
246 $as_unset CDPATH
248 exec 6>&1
250 # Open the log real soon, to keep \$[0] and so on meaningful, and to
251 # report actual input values of CONFIG_FILES etc. instead of their
252 # values after options handling. Logging --version etc. is OK.
253 exec 5>>config.log
255 echo
256 sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
257 ## Running $as_me. ##
258 _ASBOX
259 } >&5
260 cat >&5 <<_CSEOF
262 This file was extended by $as_me, which was
263 generated by GNU Autoconf 2.59. Invocation command line was
265 CONFIG_FILES = $CONFIG_FILES
266 CONFIG_HEADERS = $CONFIG_HEADERS
267 CONFIG_LINKS = $CONFIG_LINKS
268 CONFIG_COMMANDS = $CONFIG_COMMANDS
269 $ $0 $@
271 _CSEOF
272 echo "on `(hostname || uname -n) 2>/dev/null | sed 1q`" >&5
273 echo >&5
274 config_files=" Makefile src/Makefile"
275 config_headers=" config.h"
276 config_commands=" depfiles"
278 ac_cs_usage="\
279 \`$as_me' instantiates files from templates according to the
280 current configuration.
282 Usage: $0 [OPTIONS] [FILE]...
284 -h, --help print this help, then exit
285 -V, --version print version number, then exit
286 -q, --quiet do not print progress messages
287 -d, --debug don't remove temporary files
288 --recheck update $as_me by reconfiguring in the same conditions
289 --file=FILE[:TEMPLATE]
290 instantiate the configuration file FILE
291 --header=FILE[:TEMPLATE]
292 instantiate the configuration header FILE
294 Configuration files:
295 $config_files
297 Configuration headers:
298 $config_headers
300 Configuration commands:
301 $config_commands
303 Report bugs to <bug-autoconf@gnu.org>."
304 ac_cs_version="\
305 config.status
306 configured by /home/mitsuki/Project/minibridge/configure, generated by GNU Autoconf 2.59,
307 with options \"'--enable-debug=full' 'CFLAGS=-O0 -g3 '\"
309 Copyright (C) 2003 Free Software Foundation, Inc.
310 This config.status script is free software; the Free Software Foundation
311 gives unlimited permission to copy, distribute and modify it."
312 srcdir=/home/mitsuki/Project/minibridge
313 INSTALL="/usr/bin/install -c"
314 # If no file are specified by the user, then we need to provide default
315 # value. By we need to know if files were specified by the user.
316 ac_need_defaults=:
317 while test $# != 0
319 case $1 in
320 --*=*)
321 ac_option=`expr "x$1" : 'x\([^=]*\)='`
322 ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
323 ac_shift=:
326 ac_option=$1
327 ac_optarg=$2
328 ac_shift=shift
330 *) # This is not an option, so the user has probably given explicit
331 # arguments.
332 ac_option=$1
333 ac_need_defaults=false;;
334 esac
336 case $ac_option in
337 # Handling of the options.
338 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
339 ac_cs_recheck=: ;;
340 --version | --vers* | -V )
341 echo "$ac_cs_version"; exit 0 ;;
342 --he | --h)
343 # Conflict between --help and --header
344 { { echo "$as_me:$LINENO: error: ambiguous option: $1
345 Try \`$0 --help' for more information." >&5
346 echo "$as_me: error: ambiguous option: $1
347 Try \`$0 --help' for more information." >&2;}
348 { (exit 1); exit 1; }; };;
349 --help | --hel | -h )
350 echo "$ac_cs_usage"; exit 0 ;;
351 --debug | --d* | -d )
352 debug=: ;;
353 --file | --fil | --fi | --f )
354 $ac_shift
355 CONFIG_FILES="$CONFIG_FILES $ac_optarg"
356 ac_need_defaults=false;;
357 --header | --heade | --head | --hea )
358 $ac_shift
359 CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
360 ac_need_defaults=false;;
361 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
362 | -silent | --silent | --silen | --sile | --sil | --si | --s)
363 ac_cs_silent=: ;;
365 # This is an error.
366 -*) { { echo "$as_me:$LINENO: error: unrecognized option: $1
367 Try \`$0 --help' for more information." >&5
368 echo "$as_me: error: unrecognized option: $1
369 Try \`$0 --help' for more information." >&2;}
370 { (exit 1); exit 1; }; } ;;
372 *) ac_config_targets="$ac_config_targets $1" ;;
374 esac
375 shift
376 done
378 ac_configure_extra_args=
380 if $ac_cs_silent; then
381 exec 6>/dev/null
382 ac_configure_extra_args="$ac_configure_extra_args --silent"
385 if $ac_cs_recheck; then
386 echo "running /bin/sh /home/mitsuki/Project/minibridge/configure " '--enable-debug=full' 'CFLAGS=-O0 -g3 ' $ac_configure_extra_args " --no-create --no-recursion" >&6
387 exec /bin/sh /home/mitsuki/Project/minibridge/configure '--enable-debug=full' 'CFLAGS=-O0 -g3 ' $ac_configure_extra_args --no-create --no-recursion
391 # INIT-COMMANDS section.
394 AMDEP_TRUE="" ac_aux_dir="/home/mitsuki/Project/minibridge"
396 for ac_config_target in $ac_config_targets
398 case "$ac_config_target" in
399 # Handling of arguments.
400 "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
401 "src/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/Makefile" ;;
402 "depfiles" ) CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
403 "config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h" ;;
404 *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
405 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
406 { (exit 1); exit 1; }; };;
407 esac
408 done
410 # If the user did not use the arguments to specify the items to instantiate,
411 # then the envvar interface is used. Set only those that are not.
412 # We use the long form for the default assignment because of an extremely
413 # bizarre bug on SunOS 4.1.3.
414 if $ac_need_defaults; then
415 test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
416 test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
417 test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$config_commands
420 # Have a temporary directory for convenience. Make it in the build tree
421 # simply because there is no reason to put it here, and in addition,
422 # creating and moving files from /tmp can sometimes cause problems.
423 # Create a temporary directory, and hook for its removal unless debugging.
424 $debug ||
426 trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
427 trap '{ (exit 1); exit 1; }' 1 2 13 15
430 # Create a (secure) tmp directory for tmp files.
433 tmp=`(umask 077 && mktemp -d -q "./confstatXXXXXX") 2>/dev/null` &&
434 test -n "$tmp" && test -d "$tmp"
435 } ||
437 tmp=./confstat$$-$RANDOM
438 (umask 077 && mkdir $tmp)
439 } ||
441 echo "$me: cannot create a temporary directory in ." >&2
442 { (exit 1); exit 1; }
447 # CONFIG_FILES section.
450 # No need to generate the scripts if there are no CONFIG_FILES.
451 # This happens for instance when ./config.status config.h
452 if test -n "$CONFIG_FILES"; then
453 # Protect against being on the right side of a sed subst in config.status.
454 sed 's/,@/@@/; s/@,/@@/; s/,;t t$/@;t t/; /@;t t$/s/[\\&,]/\\&/g;
455 s/@@/,@/; s/@@/@,/; s/@;t t$/,;t t/' >$tmp/subs.sed <<\CEOF
456 s,@SHELL@,/bin/sh,;t t
457 s,@PATH_SEPARATOR@,:,;t t
458 s,@PACKAGE_NAME@,,;t t
459 s,@PACKAGE_TARNAME@,,;t t
460 s,@PACKAGE_VERSION@,,;t t
461 s,@PACKAGE_STRING@,,;t t
462 s,@PACKAGE_BUGREPORT@,,;t t
463 s,@exec_prefix@,${prefix},;t t
464 s,@prefix@,/usr/local,;t t
465 s,@program_transform_name@,s,x,x,,;t t
466 s,@bindir@,${exec_prefix}/bin,;t t
467 s,@sbindir@,${exec_prefix}/sbin,;t t
468 s,@libexecdir@,${exec_prefix}/libexec,;t t
469 s,@datadir@,${prefix}/share,;t t
470 s,@sysconfdir@,${prefix}/etc,;t t
471 s,@sharedstatedir@,${prefix}/com,;t t
472 s,@localstatedir@,${prefix}/var,;t t
473 s,@libdir@,${exec_prefix}/lib,;t t
474 s,@includedir@,${prefix}/include,;t t
475 s,@oldincludedir@,/usr/include,;t t
476 s,@infodir@,${prefix}/info,;t t
477 s,@mandir@,${prefix}/man,;t t
478 s,@build_alias@,,;t t
479 s,@host_alias@,,;t t
480 s,@target_alias@,,;t t
481 s,@DEFS@,-DHAVE_CONFIG_H,;t t
482 s,@ECHO_C@,,;t t
483 s,@ECHO_N@,-n,;t t
484 s,@ECHO_T@,,;t t
485 s,@LIBS@,,;t t
486 s,@INSTALL_PROGRAM@,${INSTALL},;t t
487 s,@INSTALL_SCRIPT@,${INSTALL},;t t
488 s,@INSTALL_DATA@,${INSTALL} -m 644,;t t
489 s,@CYGPATH_W@,echo,;t t
490 s,@PACKAGE@,minibridge,;t t
491 s,@VERSION@,0.1,;t t
492 s,@ACLOCAL@,${SHELL} /home/mitsuki/Project/minibridge/missing --run aclocal-1.7,;t t
493 s,@AUTOCONF@,${SHELL} /home/mitsuki/Project/minibridge/missing --run autoconf,;t t
494 s,@AUTOMAKE@,${SHELL} /home/mitsuki/Project/minibridge/missing --run automake-1.7,;t t
495 s,@AUTOHEADER@,${SHELL} /home/mitsuki/Project/minibridge/missing --run autoheader,;t t
496 s,@MAKEINFO@,${SHELL} /home/mitsuki/Project/minibridge/missing --run makeinfo,;t t
497 s,@AMTAR@,${SHELL} /home/mitsuki/Project/minibridge/missing --run tar,;t t
498 s,@install_sh@,/home/mitsuki/Project/minibridge/install-sh,;t t
499 s,@STRIP@,strip,;t t
500 s,@ac_ct_STRIP@,strip,;t t
501 s,@INSTALL_STRIP_PROGRAM@,${SHELL} $(install_sh) -c -s,;t t
502 s,@AWK@,gawk,;t t
503 s,@SET_MAKE@,,;t t
504 s,@am__leading_dot@,.,;t t
505 s,@CC@,gcc,;t t
506 s,@CFLAGS@,-O0 -g3 ,;t t
507 s,@LDFLAGS@,,;t t
508 s,@CPPFLAGS@,,;t t
509 s,@ac_ct_CC@,gcc,;t t
510 s,@EXEEXT@,,;t t
511 s,@OBJEXT@,o,;t t
512 s,@DEPDIR@,.deps,;t t
513 s,@am__include@,include,;t t
514 s,@am__quote@,,;t t
515 s,@AMDEP_TRUE@,,;t t
516 s,@AMDEP_FALSE@,#,;t t
517 s,@AMDEPBACKSLASH@,\,;t t
518 s,@CCDEPMODE@,depmode=gcc3,;t t
519 s,@am__fastdepCC_TRUE@,,;t t
520 s,@am__fastdepCC_FALSE@,#,;t t
521 s,@build@,i686-pc-linux-gnu,;t t
522 s,@build_cpu@,i686,;t t
523 s,@build_vendor@,pc,;t t
524 s,@build_os@,linux-gnu,;t t
525 s,@host@,i686-pc-linux-gnu,;t t
526 s,@host_cpu@,i686,;t t
527 s,@host_vendor@,pc,;t t
528 s,@host_os@,linux-gnu,;t t
529 s,@EGREP@,grep -E,;t t
530 s,@LN_S@,ln -s,;t t
531 s,@ECHO@,echo,;t t
532 s,@AR@,ar,;t t
533 s,@ac_ct_AR@,ar,;t t
534 s,@RANLIB@,ranlib,;t t
535 s,@ac_ct_RANLIB@,ranlib,;t t
536 s,@CPP@,gcc -E,;t t
537 s,@CXX@,g++,;t t
538 s,@CXXFLAGS@,-g -O2,;t t
539 s,@ac_ct_CXX@,g++,;t t
540 s,@CXXDEPMODE@,depmode=gcc3,;t t
541 s,@am__fastdepCXX_TRUE@,,;t t
542 s,@am__fastdepCXX_FALSE@,#,;t t
543 s,@CXXCPP@,g++ -E,;t t
544 s,@F77@,,;t t
545 s,@FFLAGS@,,;t t
546 s,@ac_ct_F77@,,;t t
547 s,@LIBTOOL@,$(SHELL) $(top_builddir)/libtool,;t t
548 s,@LIBOBJS@,,;t t
549 s,@LTLIBOBJS@,,;t t
550 CEOF
552 # Split the substitutions into bite-sized pieces for seds with
553 # small command number limits, like on Digital OSF/1 and HP-UX.
554 ac_max_sed_lines=48
555 ac_sed_frag=1 # Number of current file.
556 ac_beg=1 # First line for current file.
557 ac_end=$ac_max_sed_lines # Line after last line for current file.
558 ac_more_lines=:
559 ac_sed_cmds=
560 while $ac_more_lines; do
561 if test $ac_beg -gt 1; then
562 sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
563 else
564 sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
566 if test ! -s $tmp/subs.frag; then
567 ac_more_lines=false
568 else
569 # The purpose of the label and of the branching condition is to
570 # speed up the sed processing (if there are no `@' at all, there
571 # is no need to browse any of the substitutions).
572 # These are the two extra sed commands mentioned above.
573 (echo ':t
574 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
575 if test -z "$ac_sed_cmds"; then
576 ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
577 else
578 ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
580 ac_sed_frag=`expr $ac_sed_frag + 1`
581 ac_beg=$ac_end
582 ac_end=`expr $ac_end + $ac_max_sed_lines`
584 done
585 if test -z "$ac_sed_cmds"; then
586 ac_sed_cmds=cat
588 fi # test -n "$CONFIG_FILES"
590 for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
591 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
592 case $ac_file in
593 - | *:- | *:-:* ) # input from stdin
594 cat >$tmp/stdin
595 ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
596 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
597 *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
598 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
599 * ) ac_file_in=$ac_file.in ;;
600 esac
602 # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
603 ac_dir=`(dirname "$ac_file") 2>/dev/null ||
604 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
605 X"$ac_file" : 'X\(//\)[^/]' \| \
606 X"$ac_file" : 'X\(//\)$' \| \
607 X"$ac_file" : 'X\(/\)' \| \
608 . : '\(.\)' 2>/dev/null ||
609 echo X"$ac_file" |
610 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
611 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
612 /^X\(\/\/\)$/{ s//\1/; q; }
613 /^X\(\/\).*/{ s//\1/; q; }
614 s/.*/./; q'`
615 { if $as_mkdir_p; then
616 mkdir -p "$ac_dir"
617 else
618 as_dir="$ac_dir"
619 as_dirs=
620 while test ! -d "$as_dir"; do
621 as_dirs="$as_dir $as_dirs"
622 as_dir=`(dirname "$as_dir") 2>/dev/null ||
623 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
624 X"$as_dir" : 'X\(//\)[^/]' \| \
625 X"$as_dir" : 'X\(//\)$' \| \
626 X"$as_dir" : 'X\(/\)' \| \
627 . : '\(.\)' 2>/dev/null ||
628 echo X"$as_dir" |
629 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
630 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
631 /^X\(\/\/\)$/{ s//\1/; q; }
632 /^X\(\/\).*/{ s//\1/; q; }
633 s/.*/./; q'`
634 done
635 test ! -n "$as_dirs" || mkdir $as_dirs
636 fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
637 echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
638 { (exit 1); exit 1; }; }; }
640 ac_builddir=.
642 if test "$ac_dir" != .; then
643 ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
644 # A "../" for each directory in $ac_dir_suffix.
645 ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
646 else
647 ac_dir_suffix= ac_top_builddir=
650 case $srcdir in
651 .) # No --srcdir option. We are building in place.
652 ac_srcdir=.
653 if test -z "$ac_top_builddir"; then
654 ac_top_srcdir=.
655 else
656 ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
657 fi ;;
658 [\\/]* | ?:[\\/]* ) # Absolute path.
659 ac_srcdir=$srcdir$ac_dir_suffix;
660 ac_top_srcdir=$srcdir ;;
661 *) # Relative path.
662 ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
663 ac_top_srcdir=$ac_top_builddir$srcdir ;;
664 esac
666 # Do not use `cd foo && pwd` to compute absolute paths, because
667 # the directories may not exist.
668 case `pwd` in
669 .) ac_abs_builddir="$ac_dir";;
671 case "$ac_dir" in
672 .) ac_abs_builddir=`pwd`;;
673 [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
674 *) ac_abs_builddir=`pwd`/"$ac_dir";;
675 esac;;
676 esac
677 case $ac_abs_builddir in
678 .) ac_abs_top_builddir=${ac_top_builddir}.;;
680 case ${ac_top_builddir}. in
681 .) ac_abs_top_builddir=$ac_abs_builddir;;
682 [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
683 *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
684 esac;;
685 esac
686 case $ac_abs_builddir in
687 .) ac_abs_srcdir=$ac_srcdir;;
689 case $ac_srcdir in
690 .) ac_abs_srcdir=$ac_abs_builddir;;
691 [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
692 *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
693 esac;;
694 esac
695 case $ac_abs_builddir in
696 .) ac_abs_top_srcdir=$ac_top_srcdir;;
698 case $ac_top_srcdir in
699 .) ac_abs_top_srcdir=$ac_abs_builddir;;
700 [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
701 *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
702 esac;;
703 esac
706 case $INSTALL in
707 [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
708 *) ac_INSTALL=$ac_top_builddir$INSTALL ;;
709 esac
711 if test x"$ac_file" != x-; then
712 { echo "$as_me:$LINENO: creating $ac_file" >&5
713 echo "$as_me: creating $ac_file" >&6;}
714 rm -f "$ac_file"
716 # Let's still pretend it is `configure' which instantiates (i.e., don't
717 # use $as_me), people would be surprised to read:
718 # /* config.h. Generated by config.status. */
719 if test x"$ac_file" = x-; then
720 configure_input=
721 else
722 configure_input="$ac_file. "
724 configure_input=$configure_input"Generated from `echo $ac_file_in |
725 sed 's,.*/,,'` by configure."
727 # First look for the input files in the build tree, otherwise in the
728 # src tree.
729 ac_file_inputs=`IFS=:
730 for f in $ac_file_in; do
731 case $f in
732 -) echo $tmp/stdin ;;
733 [\\/$]*)
734 # Absolute (can't be DOS-style, as IFS=:)
735 test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
736 echo "$as_me: error: cannot find input file: $f" >&2;}
737 { (exit 1); exit 1; }; }
738 echo "$f";;
739 *) # Relative
740 if test -f "$f"; then
741 # Build tree
742 echo "$f"
743 elif test -f "$srcdir/$f"; then
744 # Source tree
745 echo "$srcdir/$f"
746 else
747 # /dev/null tree
748 { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
749 echo "$as_me: error: cannot find input file: $f" >&2;}
750 { (exit 1); exit 1; }; }
751 fi;;
752 esac
753 done` || { (exit 1); exit 1; }
754 sed "
757 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
758 s,@configure_input@,$configure_input,;t t
759 s,@srcdir@,$ac_srcdir,;t t
760 s,@abs_srcdir@,$ac_abs_srcdir,;t t
761 s,@top_srcdir@,$ac_top_srcdir,;t t
762 s,@abs_top_srcdir@,$ac_abs_top_srcdir,;t t
763 s,@builddir@,$ac_builddir,;t t
764 s,@abs_builddir@,$ac_abs_builddir,;t t
765 s,@top_builddir@,$ac_top_builddir,;t t
766 s,@abs_top_builddir@,$ac_abs_top_builddir,;t t
767 s,@INSTALL@,$ac_INSTALL,;t t
768 " $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
769 rm -f $tmp/stdin
770 if test x"$ac_file" != x-; then
771 mv $tmp/out $ac_file
772 else
773 cat $tmp/out
774 rm -f $tmp/out
777 done
780 # CONFIG_HEADER section.
783 # These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
784 # NAME is the cpp macro being defined and VALUE is the value it is being given.
786 # ac_d sets the value in "#define NAME VALUE" lines.
787 ac_dA='s,^\([ ]*\)#\([ ]*define[ ][ ]*\)'
788 ac_dB='[ ].*$,\1#\2'
789 ac_dC=' '
790 ac_dD=',;t'
791 # ac_u turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
792 ac_uA='s,^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
793 ac_uB='$,\1#\2define\3'
794 ac_uC=' '
795 ac_uD=',;t'
797 for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
798 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
799 case $ac_file in
800 - | *:- | *:-:* ) # input from stdin
801 cat >$tmp/stdin
802 ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
803 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
804 *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
805 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
806 * ) ac_file_in=$ac_file.in ;;
807 esac
809 test x"$ac_file" != x- && { echo "$as_me:$LINENO: creating $ac_file" >&5
810 echo "$as_me: creating $ac_file" >&6;}
812 # First look for the input files in the build tree, otherwise in the
813 # src tree.
814 ac_file_inputs=`IFS=:
815 for f in $ac_file_in; do
816 case $f in
817 -) echo $tmp/stdin ;;
818 [\\/$]*)
819 # Absolute (can't be DOS-style, as IFS=:)
820 test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
821 echo "$as_me: error: cannot find input file: $f" >&2;}
822 { (exit 1); exit 1; }; }
823 # Do quote $f, to prevent DOS paths from being IFS'd.
824 echo "$f";;
825 *) # Relative
826 if test -f "$f"; then
827 # Build tree
828 echo "$f"
829 elif test -f "$srcdir/$f"; then
830 # Source tree
831 echo "$srcdir/$f"
832 else
833 # /dev/null tree
834 { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
835 echo "$as_me: error: cannot find input file: $f" >&2;}
836 { (exit 1); exit 1; }; }
837 fi;;
838 esac
839 done` || { (exit 1); exit 1; }
840 # Remove the trailing spaces.
841 sed 's/[ ]*$//' $ac_file_inputs >$tmp/in
843 # Handle all the #define templates only if necessary.
844 if grep "^[ ]*#[ ]*define" $tmp/in >/dev/null; then
845 # If there are no defines, we may have an empty if/fi
847 cat >$tmp/defines.sed <<CEOF
848 /^[ ]*#[ ]*define/!b
849 t clr
850 : clr
851 ${ac_dA}PACKAGE_NAME${ac_dB}PACKAGE_NAME${ac_dC}""${ac_dD}
852 ${ac_dA}PACKAGE_TARNAME${ac_dB}PACKAGE_TARNAME${ac_dC}""${ac_dD}
853 ${ac_dA}PACKAGE_VERSION${ac_dB}PACKAGE_VERSION${ac_dC}""${ac_dD}
854 ${ac_dA}PACKAGE_STRING${ac_dB}PACKAGE_STRING${ac_dC}""${ac_dD}
855 ${ac_dA}PACKAGE_BUGREPORT${ac_dB}PACKAGE_BUGREPORT${ac_dC}""${ac_dD}
856 ${ac_dA}PACKAGE${ac_dB}PACKAGE${ac_dC}"minibridge"${ac_dD}
857 ${ac_dA}VERSION${ac_dB}VERSION${ac_dC}"0.1"${ac_dD}
858 ${ac_dA}STDC_HEADERS${ac_dB}STDC_HEADERS${ac_dC}1${ac_dD}
859 ${ac_dA}HAVE_SYS_TYPES_H${ac_dB}HAVE_SYS_TYPES_H${ac_dC}1${ac_dD}
860 ${ac_dA}HAVE_SYS_STAT_H${ac_dB}HAVE_SYS_STAT_H${ac_dC}1${ac_dD}
861 ${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
862 ${ac_dA}HAVE_STRING_H${ac_dB}HAVE_STRING_H${ac_dC}1${ac_dD}
863 ${ac_dA}HAVE_MEMORY_H${ac_dB}HAVE_MEMORY_H${ac_dC}1${ac_dD}
864 ${ac_dA}HAVE_STRINGS_H${ac_dB}HAVE_STRINGS_H${ac_dC}1${ac_dD}
865 ${ac_dA}HAVE_INTTYPES_H${ac_dB}HAVE_INTTYPES_H${ac_dC}1${ac_dD}
866 ${ac_dA}HAVE_STDINT_H${ac_dB}HAVE_STDINT_H${ac_dC}1${ac_dD}
867 ${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
868 ${ac_dA}HAVE_DLFCN_H${ac_dB}HAVE_DLFCN_H${ac_dC}1${ac_dD}
869 CEOF
870 sed -f $tmp/defines.sed $tmp/in >$tmp/out
871 rm -f $tmp/in
872 mv $tmp/out $tmp/in
874 fi # grep
876 # Handle all the #undef templates
877 cat >$tmp/undefs.sed <<CEOF
878 /^[ ]*#[ ]*undef/!b
879 t clr
880 : clr
881 ${ac_uA}PACKAGE_NAME${ac_uB}PACKAGE_NAME${ac_uC}""${ac_uD}
882 ${ac_uA}PACKAGE_TARNAME${ac_uB}PACKAGE_TARNAME${ac_uC}""${ac_uD}
883 ${ac_uA}PACKAGE_VERSION${ac_uB}PACKAGE_VERSION${ac_uC}""${ac_uD}
884 ${ac_uA}PACKAGE_STRING${ac_uB}PACKAGE_STRING${ac_uC}""${ac_uD}
885 ${ac_uA}PACKAGE_BUGREPORT${ac_uB}PACKAGE_BUGREPORT${ac_uC}""${ac_uD}
886 ${ac_uA}PACKAGE${ac_uB}PACKAGE${ac_uC}"minibridge"${ac_uD}
887 ${ac_uA}VERSION${ac_uB}VERSION${ac_uC}"0.1"${ac_uD}
888 ${ac_uA}STDC_HEADERS${ac_uB}STDC_HEADERS${ac_uC}1${ac_uD}
889 ${ac_uA}HAVE_SYS_TYPES_H${ac_uB}HAVE_SYS_TYPES_H${ac_uC}1${ac_uD}
890 ${ac_uA}HAVE_SYS_STAT_H${ac_uB}HAVE_SYS_STAT_H${ac_uC}1${ac_uD}
891 ${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
892 ${ac_uA}HAVE_STRING_H${ac_uB}HAVE_STRING_H${ac_uC}1${ac_uD}
893 ${ac_uA}HAVE_MEMORY_H${ac_uB}HAVE_MEMORY_H${ac_uC}1${ac_uD}
894 ${ac_uA}HAVE_STRINGS_H${ac_uB}HAVE_STRINGS_H${ac_uC}1${ac_uD}
895 ${ac_uA}HAVE_INTTYPES_H${ac_uB}HAVE_INTTYPES_H${ac_uC}1${ac_uD}
896 ${ac_uA}HAVE_STDINT_H${ac_uB}HAVE_STDINT_H${ac_uC}1${ac_uD}
897 ${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
898 ${ac_uA}HAVE_DLFCN_H${ac_uB}HAVE_DLFCN_H${ac_uC}1${ac_uD}
899 s,^[ ]*#[ ]*undef[ ][ ]*[a-zA-Z_][a-zA-Z_0-9]*,/* & */,
900 CEOF
901 sed -f $tmp/undefs.sed $tmp/in >$tmp/out
902 rm -f $tmp/in
903 mv $tmp/out $tmp/in
905 # Let's still pretend it is `configure' which instantiates (i.e., don't
906 # use $as_me), people would be surprised to read:
907 # /* config.h. Generated by config.status. */
908 if test x"$ac_file" = x-; then
909 echo "/* Generated by configure. */" >$tmp/config.h
910 else
911 echo "/* $ac_file. Generated by configure. */" >$tmp/config.h
913 cat $tmp/in >>$tmp/config.h
914 rm -f $tmp/in
915 if test x"$ac_file" != x-; then
916 if diff $ac_file $tmp/config.h >/dev/null 2>&1; then
917 { echo "$as_me:$LINENO: $ac_file is unchanged" >&5
918 echo "$as_me: $ac_file is unchanged" >&6;}
919 else
920 ac_dir=`(dirname "$ac_file") 2>/dev/null ||
921 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
922 X"$ac_file" : 'X\(//\)[^/]' \| \
923 X"$ac_file" : 'X\(//\)$' \| \
924 X"$ac_file" : 'X\(/\)' \| \
925 . : '\(.\)' 2>/dev/null ||
926 echo X"$ac_file" |
927 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
928 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
929 /^X\(\/\/\)$/{ s//\1/; q; }
930 /^X\(\/\).*/{ s//\1/; q; }
931 s/.*/./; q'`
932 { if $as_mkdir_p; then
933 mkdir -p "$ac_dir"
934 else
935 as_dir="$ac_dir"
936 as_dirs=
937 while test ! -d "$as_dir"; do
938 as_dirs="$as_dir $as_dirs"
939 as_dir=`(dirname "$as_dir") 2>/dev/null ||
940 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
941 X"$as_dir" : 'X\(//\)[^/]' \| \
942 X"$as_dir" : 'X\(//\)$' \| \
943 X"$as_dir" : 'X\(/\)' \| \
944 . : '\(.\)' 2>/dev/null ||
945 echo X"$as_dir" |
946 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
947 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
948 /^X\(\/\/\)$/{ s//\1/; q; }
949 /^X\(\/\).*/{ s//\1/; q; }
950 s/.*/./; q'`
951 done
952 test ! -n "$as_dirs" || mkdir $as_dirs
953 fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
954 echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
955 { (exit 1); exit 1; }; }; }
957 rm -f $ac_file
958 mv $tmp/config.h $ac_file
960 else
961 cat $tmp/config.h
962 rm -f $tmp/config.h
964 # Compute $ac_file's index in $config_headers.
965 _am_stamp_count=1
966 for _am_header in $config_headers :; do
967 case $_am_header in
968 $ac_file | $ac_file:* )
969 break ;;
971 _am_stamp_count=`expr $_am_stamp_count + 1` ;;
972 esac
973 done
974 echo "timestamp for $ac_file" >`(dirname $ac_file) 2>/dev/null ||
975 $as_expr X$ac_file : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
976 X$ac_file : 'X\(//\)[^/]' \| \
977 X$ac_file : 'X\(//\)$' \| \
978 X$ac_file : 'X\(/\)' \| \
979 . : '\(.\)' 2>/dev/null ||
980 echo X$ac_file |
981 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
982 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
983 /^X\(\/\/\)$/{ s//\1/; q; }
984 /^X\(\/\).*/{ s//\1/; q; }
985 s/.*/./; q'`/stamp-h$_am_stamp_count
986 done
989 # CONFIG_COMMANDS section.
991 for ac_file in : $CONFIG_COMMANDS; do test "x$ac_file" = x: && continue
992 ac_dest=`echo "$ac_file" | sed 's,:.*,,'`
993 ac_source=`echo "$ac_file" | sed 's,[^:]*:,,'`
994 ac_dir=`(dirname "$ac_dest") 2>/dev/null ||
995 $as_expr X"$ac_dest" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
996 X"$ac_dest" : 'X\(//\)[^/]' \| \
997 X"$ac_dest" : 'X\(//\)$' \| \
998 X"$ac_dest" : 'X\(/\)' \| \
999 . : '\(.\)' 2>/dev/null ||
1000 echo X"$ac_dest" |
1001 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1002 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1003 /^X\(\/\/\)$/{ s//\1/; q; }
1004 /^X\(\/\).*/{ s//\1/; q; }
1005 s/.*/./; q'`
1006 { if $as_mkdir_p; then
1007 mkdir -p "$ac_dir"
1008 else
1009 as_dir="$ac_dir"
1010 as_dirs=
1011 while test ! -d "$as_dir"; do
1012 as_dirs="$as_dir $as_dirs"
1013 as_dir=`(dirname "$as_dir") 2>/dev/null ||
1014 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1015 X"$as_dir" : 'X\(//\)[^/]' \| \
1016 X"$as_dir" : 'X\(//\)$' \| \
1017 X"$as_dir" : 'X\(/\)' \| \
1018 . : '\(.\)' 2>/dev/null ||
1019 echo X"$as_dir" |
1020 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1021 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1022 /^X\(\/\/\)$/{ s//\1/; q; }
1023 /^X\(\/\).*/{ s//\1/; q; }
1024 s/.*/./; q'`
1025 done
1026 test ! -n "$as_dirs" || mkdir $as_dirs
1027 fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
1028 echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
1029 { (exit 1); exit 1; }; }; }
1031 ac_builddir=.
1033 if test "$ac_dir" != .; then
1034 ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
1035 # A "../" for each directory in $ac_dir_suffix.
1036 ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
1037 else
1038 ac_dir_suffix= ac_top_builddir=
1041 case $srcdir in
1042 .) # No --srcdir option. We are building in place.
1043 ac_srcdir=.
1044 if test -z "$ac_top_builddir"; then
1045 ac_top_srcdir=.
1046 else
1047 ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
1048 fi ;;
1049 [\\/]* | ?:[\\/]* ) # Absolute path.
1050 ac_srcdir=$srcdir$ac_dir_suffix;
1051 ac_top_srcdir=$srcdir ;;
1052 *) # Relative path.
1053 ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
1054 ac_top_srcdir=$ac_top_builddir$srcdir ;;
1055 esac
1057 # Do not use `cd foo && pwd` to compute absolute paths, because
1058 # the directories may not exist.
1059 case `pwd` in
1060 .) ac_abs_builddir="$ac_dir";;
1062 case "$ac_dir" in
1063 .) ac_abs_builddir=`pwd`;;
1064 [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
1065 *) ac_abs_builddir=`pwd`/"$ac_dir";;
1066 esac;;
1067 esac
1068 case $ac_abs_builddir in
1069 .) ac_abs_top_builddir=${ac_top_builddir}.;;
1071 case ${ac_top_builddir}. in
1072 .) ac_abs_top_builddir=$ac_abs_builddir;;
1073 [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
1074 *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
1075 esac;;
1076 esac
1077 case $ac_abs_builddir in
1078 .) ac_abs_srcdir=$ac_srcdir;;
1080 case $ac_srcdir in
1081 .) ac_abs_srcdir=$ac_abs_builddir;;
1082 [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
1083 *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
1084 esac;;
1085 esac
1086 case $ac_abs_builddir in
1087 .) ac_abs_top_srcdir=$ac_top_srcdir;;
1089 case $ac_top_srcdir in
1090 .) ac_abs_top_srcdir=$ac_abs_builddir;;
1091 [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
1092 *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
1093 esac;;
1094 esac
1097 { echo "$as_me:$LINENO: executing $ac_dest commands" >&5
1098 echo "$as_me: executing $ac_dest commands" >&6;}
1099 case $ac_dest in
1100 depfiles ) test x"$AMDEP_TRUE" != x"" || for mf in $CONFIG_FILES; do
1101 # Strip MF so we end up with the name of the file.
1102 mf=`echo "$mf" | sed -e 's/:.*$//'`
1103 # Check whether this is an Automake generated Makefile or not.
1104 # We used to match only the files named `Makefile.in', but
1105 # some people rename them; so instead we look at the file content.
1106 # Grep'ing the first line is not enough: some people post-process
1107 # each Makefile.in and add a new line on top of each file to say so.
1108 # So let's grep whole file.
1109 if grep '^#.*generated by automake' $mf > /dev/null 2>&1; then
1110 dirpart=`(dirname "$mf") 2>/dev/null ||
1111 $as_expr X"$mf" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1112 X"$mf" : 'X\(//\)[^/]' \| \
1113 X"$mf" : 'X\(//\)$' \| \
1114 X"$mf" : 'X\(/\)' \| \
1115 . : '\(.\)' 2>/dev/null ||
1116 echo X"$mf" |
1117 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1118 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1119 /^X\(\/\/\)$/{ s//\1/; q; }
1120 /^X\(\/\).*/{ s//\1/; q; }
1121 s/.*/./; q'`
1122 else
1123 continue
1125 grep '^DEP_FILES *= *[^ #]' < "$mf" > /dev/null || continue
1126 # Extract the definition of DEP_FILES from the Makefile without
1127 # running `make'.
1128 DEPDIR=`sed -n -e '/^DEPDIR = / s///p' < "$mf"`
1129 test -z "$DEPDIR" && continue
1130 # When using ansi2knr, U may be empty or an underscore; expand it
1131 U=`sed -n -e '/^U = / s///p' < "$mf"`
1132 test -d "$dirpart/$DEPDIR" || mkdir "$dirpart/$DEPDIR"
1133 # We invoke sed twice because it is the simplest approach to
1134 # changing $(DEPDIR) to its actual value in the expansion.
1135 for file in `sed -n -e '
1136 /^DEP_FILES = .*\\\\$/ {
1137 s/^DEP_FILES = //
1138 :loop
1139 s/\\\\$//
1142 /\\\\$/ b loop
1145 /^DEP_FILES = / s/^DEP_FILES = //p' < "$mf" | \
1146 sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do
1147 # Make sure the directory exists.
1148 test -f "$dirpart/$file" && continue
1149 fdir=`(dirname "$file") 2>/dev/null ||
1150 $as_expr X"$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1151 X"$file" : 'X\(//\)[^/]' \| \
1152 X"$file" : 'X\(//\)$' \| \
1153 X"$file" : 'X\(/\)' \| \
1154 . : '\(.\)' 2>/dev/null ||
1155 echo X"$file" |
1156 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1157 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1158 /^X\(\/\/\)$/{ s//\1/; q; }
1159 /^X\(\/\).*/{ s//\1/; q; }
1160 s/.*/./; q'`
1161 { if $as_mkdir_p; then
1162 mkdir -p $dirpart/$fdir
1163 else
1164 as_dir=$dirpart/$fdir
1165 as_dirs=
1166 while test ! -d "$as_dir"; do
1167 as_dirs="$as_dir $as_dirs"
1168 as_dir=`(dirname "$as_dir") 2>/dev/null ||
1169 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1170 X"$as_dir" : 'X\(//\)[^/]' \| \
1171 X"$as_dir" : 'X\(//\)$' \| \
1172 X"$as_dir" : 'X\(/\)' \| \
1173 . : '\(.\)' 2>/dev/null ||
1174 echo X"$as_dir" |
1175 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1176 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1177 /^X\(\/\/\)$/{ s//\1/; q; }
1178 /^X\(\/\).*/{ s//\1/; q; }
1179 s/.*/./; q'`
1180 done
1181 test ! -n "$as_dirs" || mkdir $as_dirs
1182 fi || { { echo "$as_me:$LINENO: error: cannot create directory $dirpart/$fdir" >&5
1183 echo "$as_me: error: cannot create directory $dirpart/$fdir" >&2;}
1184 { (exit 1); exit 1; }; }; }
1186 # echo "creating $dirpart/$file"
1187 echo '# dummy' > "$dirpart/$file"
1188 done
1189 done
1191 esac
1192 done
1194 { (exit 0); exit 0; }